Subject: bug#4129: Support for dual spacing fonts

From: Takanori MATSUURA <[email-masked]>
Date: Wed, 12 Aug 2009 10:55:30 +0900

When I use IPAGothic font with emacs-23.1, ASCII characters are shown
as character itself and extra space (ie. "A ", "t ").  The font have
the spacing value of "90" which means dual spacing. If I explicitly
define the spacing to "0", this font-width issue is solved.

Other software which use fontconfig can treat IPAGothic fonts
properly.  So I'm afraid that emacs doesn't handle it.

Fonts are shown with wrong spacing:
Add ~/.emacs to
(set-frame-font "IPAGothic")

Fonts are shown properly:
Add ~/.emacs to
(set-frame-font "IPAGothic:spacing=0")

And add the following fontconfig configuration
<match target="font">
  <test name="family">
     <string>IPAGothic</string>
  </test>
  <edit name="spacing">
     <int>0</int>
  </edit>
  <edit name="globaladvance">
     <bool>false</bool>
  </edit>
</match>

IPAGothic font is available from:
http://ossipedia.ipa.go.jp/ipafont/
(Both Japanese and English contents included in one page. same meaning)

Regards,
Takanori